Skip to main content
GET
/
2025-04
/
retail-media
/
catalogs
/
{catalogId}
/
status
/2025-04/retail-media/catalogs/{catalogId}/status
curl --request GET \
  --url https://api.criteo.com/2025-04/retail-media/catalogs/{catalogId}/status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "createdAt": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "fileSizeBytes": 123,
      "md5Checksum": "<string>",
      "message": "<string>",
      "rowCount": 123
    }
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalogId
string
required

A catalog ID returned from an account catalog request.

Response

200 - application/json

Catalog request found.

A JSON:API wrapper class to add one JSON:API within a data property

data
object
required

A JSON:API wrapper class to format a with external Id, Type, and Attributes properties

errors
object[] | null
warnings
object[] | null